curl_easy_reset(3)

NAME
curl_easy_reset - reset all options of a libcurl session handle

SYNOPSIS
#include <curl/curl.h> void curl_easy_reset(CURL *handle);

DESCRIPTION
Re-initializes all options previously set on a specified CURL handle to the default values. This puts back the handle to the same state as it was in when it was just created with curl_easy_init(3). It does not change the following information kept in the handle: live connections, the Session ID cache, the DNS cache, the cookies and shares.

AVAILABILITY
This function was added in libcurl 7.12.1

RETURN VALUE
Nothing

SEE ALSO
curl_easy_init(3),curl_easy_cleanup(3),curl_easy_setopt(3)